import { Level } from './level';
import RequestContext from './requestContext';
export default class Logger {
    private parent?;
    private context?;
    private registeredCustomFields;
    private customFields;
    private recordFactory;
    private recordWriter;
    protected loggingLevelThreshold: Level;
    constructor(parent?: Logger, reqContext?: RequestContext);
    createLogger(customFields?: Map<string, any>): Logger;
    setLoggingLevel(level: string | Level): void;
    getLoggingLevel(): string;
    isLoggingLevel(level: string | Level): boolean;
    logMessage(level: string | Level, ...args: any): void;
    error(...args: any): void;
    warn(...args: any): void;
    info(...args: any): void;
    verbose(...args: any): void;
    debug(...args: any): void;
    silly(...args: any): void;
    isError(): boolean;
    isWarn(): boolean;
    isInfo(): boolean;
    isVerbose(): boolean;
    isDebug(): boolean;
    isSilly(): boolean;
    registerCustomFields(fieldNames: Array<string>): void;
    setCustomFields(customFields: Map<string, any>): void;
    getCustomFields(): Map<string, any>;
    getContextProperty(name: string): string | undefined;
    setContextProperty(name: string, value: string): void;
    getCorrelationId(): string | undefined;
    setCorrelationId(value: string): void;
    getTenantId(): string | undefined;
    setTenantId(value: string): void;
    getTenantSubdomain(): string | undefined;
    setTenantSubdomain(value: string): void;
    private getCustomFieldsFromLogger;
}
